
---------------------------------------------------
-- Global vars
---------------------------------------------------

QuestMods_SavedVars = {};


---------------------------------------------------
-- Local vars
---------------------------------------------------


---------------------------------------------------
-- QuestMods.OptionsSetup
---------------------------------------------------
function QuestMods.OptionsSetup()
	if (not QuestMods_SavedVars[QuestMods.Realm]) then
		QuestMods_SavedVars[QuestMods.Realm] = {};
	end
	if (not QuestMods_SavedVars[QuestMods.Realm][QuestMods.Player]) then
		QuestMods_SavedVars[QuestMods.Realm][QuestMods.Player] = {};
	end
	if (not QuestMods_SavedVars[QuestMods.Realm][QuestMods.Player].Collapsed) then
		QuestMods_SavedVars[QuestMods.Realm][QuestMods.Player].Collapsed = {};
	end
	if (not QuestMods_SavedVars[QuestMods.Realm][QuestMods.Player].Watched) then
		QuestMods_SavedVars[QuestMods.Realm][QuestMods.Player].Watched = {};
	end
	
	QuestMods.OptionsDefault();
	
	InterfaceOptions_AddCategory(QuestMods_OptionsPanel);
end


---------------------------------------------------
-- QuestMods.OptionsDefault
---------------------------------------------------
function QuestMods.OptionsDefault(panel)
	if (panel or not QuestMods_SavedVars.Levels) then
		QuestMods_SavedVars.Levels = "Y";
	end
	if (panel or not QuestMods_SavedVars.Chat) then
		QuestMods_SavedVars.Chat = "N";
	end
	if (panel or not QuestMods_SavedVars.Party) then
		QuestMods_SavedVars.Party = "N";
	end
	if (panel or not QuestMods_SavedVars.QuestSound) then
		QuestMods_SavedVars.QuestSound = "Y";
	end
	if (panel or not QuestMods_SavedVars.Login) then
		QuestMods_SavedVars.Login = "N";
	end
	if (panel or not QuestMods_SavedVars.QISound) then
		QuestMods_SavedVars.QISound = "Y";
	end
end


---------------------------------------------------
-- QuestMods.OptionsRefresh
---------------------------------------------------
function QuestMods.OptionsRefresh(self)
	QuestMods_OptionsPanelLevels:SetChecked(QuestMods_SavedVars.Levels == "Y");
	QuestMods_OptionsPanelChat:SetChecked(QuestMods_SavedVars.Chat == "Y");
	QuestMods_OptionsPanelParty:SetChecked(QuestMods_SavedVars.Party == "Y");
	QuestMods_OptionsPanelQuestSound:SetChecked(QuestMods_SavedVars.QuestSound == "Y");
	QuestMods_OptionsPanelLogin:SetChecked(QuestMods_SavedVars.Login == "Y");
	QuestMods_OptionsPanelQISound:SetChecked(QuestMods_SavedVars.QISound == "Y");
end


---------------------------------------------------
-- QuestMods.OptionsOkay
---------------------------------------------------
function QuestMods.OptionsOkay()
	local OldLevels = QuestMods_SavedVars.Levels;
	
	QuestMods_SavedVars.Levels = ((QuestMods_OptionsPanelLevels:GetChecked() and "Y") or "N");
	QuestMods_SavedVars.Chat = ((QuestMods_OptionsPanelChat:GetChecked() and "Y") or "N");
	QuestMods_SavedVars.Party = ((QuestMods_OptionsPanelParty:GetChecked() and "Y") or "N");
	QuestMods_SavedVars.QuestSound = ((QuestMods_OptionsPanelQuestSound:GetChecked() and "Y") or "N");
	QuestMods_SavedVars.Login = ((QuestMods_OptionsPanelLogin:GetChecked() and "Y") or "N");
	QuestMods_SavedVars.QISound = ((QuestMods_OptionsPanelQISound:GetChecked() and "Y") or "N");
	
	if (QuestMods_SavedVars.Levels ~= OldLevels) then
		QuestMods.WatchFrameUpdate();
	end
end
